import React from 'react';
import { observer } from 'mobx-react';
import { Button, Typography } from '@mui/material';
import { ErrorBoundary } from 'react-error-boundary';
import { ErrorMessage } from '@jbrowse/core/ui';
// locals
import ImportForm from './import/ImportForm';
import MSAView from './MSAView';
function Reset({ model, error }) {
    return (React.createElement("div", null,
        React.createElement(ErrorMessage, { error: error }),
        React.createElement(Button, { variant: "contained", color: "primary", onClick: () => model.reset() }, "Return to import form")));
}
const Loading = observer(function ({ model }) {
    const { isLoading, initialized } = model;
    return (React.createElement("div", null,
        React.createElement(ErrorBoundary, { fallbackRender: props => React.createElement(Reset, { model: model, error: props.error }) }, !initialized ? (React.createElement(ImportForm, { model: model })) : isLoading ? (React.createElement(Typography, { variant: "h4" }, "Loading...")) : (React.createElement(MSAView, { model: model })))));
});
export default Loading;
//# sourceMappingURL=Loading.js.map