import React from 'react';
import { Dialog } from '@jbrowse/core/ui';
import { DialogContent, Typography, Link } from '@mui/material';
import { version } from '../../version';
export default function AboutDialog({ onClose }) {
    return (React.createElement(Dialog, { onClose: () => onClose(), open: true, title: "About this plugin" },
        React.createElement(DialogContent, null,
            React.createElement(Typography, null,
                "MSAView ",
                version,
                " (",
                React.createElement(Link, { href: "https://github.com/gmod/jbrowse-plugin-msaview" }, "Github"),
                ")"),
            React.createElement("ul", null,
                React.createElement("li", null,
                    React.createElement(Typography, null,
                        "We use some color schemes from the",
                        ' ',
                        React.createElement(Link, { href: "https://github.com/biotite-dev/biotite" }, "biotite"),
                        ' ',
                        "project, and their license is reproduced",
                        ' ',
                        React.createElement(Link, { href: "https://github.com/biotite-dev/biotite/blob/master/LICENSE.rst" }, "here"))),
                React.createElement("li", null,
                    React.createElement(Typography, null,
                        "See this page for some information on jalview colorings",
                        ' ',
                        React.createElement(Link, { href: "https://www.jalview.org/help/html/colourSchemes/" }, "here"))),
                React.createElement("li", null,
                    React.createElement(Typography, null,
                        "See this page for some info on the clustal, cinema, maeditor, and lesk color schemes",
                        ' ',
                        React.createElement(Link, { href: "http://www.bioinformatics.nl/~berndb/aacolour.html" }, "here"))),
                React.createElement("li", null,
                    React.createElement(Typography, null,
                        "See this paper about the flower color scheme",
                        ' ',
                        React.createElement(Link, { href: "https://www.ncbi.nlm.nih.gov/pmc/articles/PMC7245768/" }, "here")))))));
}
//# sourceMappingURL=AboutDialog.js.map