import React from 'react';
import { DialogContent } from '@mui/material';
import { observer } from 'mobx-react';
import { Dialog } from '@jbrowse/core/ui';
import { Attributes, BaseCard, } from '@jbrowse/core/BaseFeatureWidget/BaseFeatureDetail';
import SequenceTextArea from '../SequenceTextArea';
const MetadataDialog = observer(function ({ model, onClose, }) {
    const { header } = model;
    return (React.createElement(Dialog, { onClose: () => onClose(), open: true, title: "Metadata", maxWidth: "xl" },
        React.createElement(DialogContent, null,
            React.createElement(Attributes, { attributes: header }),
            React.createElement(BaseCard, { title: "sequence" },
                React.createElement(SequenceTextArea, { str: model.rows })))));
});
export default MetadataDialog;
//# sourceMappingURL=MetadataDialog.js.map