import React, { useState } from 'react';
import copy from 'copy-to-clipboard';
import { observer } from 'mobx-react';
import { Dialog } from '@jbrowse/core/ui';
import { Button, DialogActions, DialogContent } from '@mui/material';
import { makeStyles } from 'tss-react/mui';
const useStyles = makeStyles()(theme => ({
    textArea: {
        padding: theme.spacing(2),
        overflow: 'auto',
        background: '#ddd',
        wordBreak: 'break-word',
    },
}));
const TrackInfoDialog = observer(function ({ model, onClose, }) {
    const [label, setLabel] = useState('Copy to clipboard');
    const { classes } = useStyles();
    return (React.createElement(Dialog, { open: true, onClose: onClose, fullWidth: true, maxWidth: "lg", title: `Track info - ${model.name}` },
        React.createElement(DialogContent, null,
            React.createElement(Button, { variant: "contained", color: "primary", onClick: () => {
                    copy(model.data);
                    setLabel('Copied!');
                    setTimeout(() => {
                        setLabel('Copy to clipboard');
                    }, 300);
                } }, label),
            React.createElement("pre", { className: classes.textArea }, model.data)),
        React.createElement(DialogActions, null,
            React.createElement(Button, { variant: "contained", onClick: onClose, color: "secondary" }, "Close"))));
});
export default TrackInfoDialog;
//# sourceMappingURL=TrackInfoDialog.js.map