import React from 'react';
import { Dialog } from '@jbrowse/core/ui';
import { DialogContent, FormControlLabel, FormGroup, Checkbox, DialogActions, Button, Typography, } from '@mui/material';
import { observer } from 'mobx-react';
export default observer(function ({ model, onClose, }) {
    const { tracks } = model;
    return (React.createElement(Dialog, { onClose: () => onClose(), open: true, title: "Add track" },
        React.createElement(DialogContent, null,
            React.createElement(Typography, null, "Open relevant per-alignment tracks e.g. protein domains"),
            React.createElement(FormGroup, null, tracks.map(track => {
                return (React.createElement(FormControlLabel, { key: track.model.id, control: React.createElement(Checkbox, { checked: !model.turnedOffTracks.has(track.model.id), onChange: () => {
                            model.toggleTrack(track.model.id);
                        } }), label: track.model.name }));
            })),
            React.createElement(DialogActions, null,
                React.createElement(Button, { onClick: () => onClose(), variant: "contained", color: "primary" }, "Close")))));
});
//# sourceMappingURL=TracklistDialog.js.map