import React, { lazy } from 'react';
import { IconButton } from '@mui/material';
import { observer } from 'mobx-react';
// icons
import Help from '@mui/icons-material/Help';
// locals
import ZoomControls from './ZoomControls';
import MultiAlignmentSelector from './MultiAlignmentSelector';
import HeaderInfoArea from './HeaderInfoArea';
import HeaderStatusArea from './HeaderStatusArea';
import HeaderMenu from './HeaderMenu';
import HeaderMenuExtra from './HeaderMenuExtra';
const AboutDialog = lazy(() => import('../dialogs/AboutDialog'));
const Header = observer(function ({ model }) {
    return (React.createElement("div", { style: { display: 'flex' } },
        React.createElement(HeaderMenu, { model: model }),
        React.createElement(ZoomControls, { model: model }),
        React.createElement(HeaderMenuExtra, { model: model }),
        React.createElement(MultiAlignmentSelector, { model: model }),
        React.createElement(HeaderInfoArea, { model: model }),
        React.createElement(Spacer, null),
        React.createElement(HeaderStatusArea, { model: model }),
        React.createElement(IconButton, { onClick: () => model.queueDialog(onClose => [AboutDialog, { onClose }]) },
            React.createElement(Help, null))));
});
function Spacer() {
    return React.createElement("div", { style: { flex: 1 } });
}
export default Header;
//# sourceMappingURL=Header.js.map