import React from 'react';
import { Typography } from '@mui/material';
import { observer } from 'mobx-react';
import { makeStyles } from 'tss-react/mui';
const useStyles = makeStyles()({
    margin: {
        margin: 'auto',
        marginLeft: 10,
    },
});
const HeaderStatusArea = observer(({ model }) => {
    const { status } = model;
    const { classes } = useStyles();
    return status ? (React.createElement(Typography, { className: classes.margin },
        status.msg,
        ' ',
        status.url ? (React.createElement("a", { href: status.url, target: "_blank", rel: "noreferrer" }, "(status)")) : null)) : null;
});
export default HeaderStatusArea;
//# sourceMappingURL=HeaderStatusArea.js.map