import React from 'react';
import { observer } from 'mobx-react';
const MinimapSVG = observer(function ({ model }) {
    const { scrollX, msaAreaWidth: W, minimapHeight: H, colWidth, numColumns, } = model;
    const BAR_HEIGHT = 12;
    const H2 = H - 12;
    const unit = W / numColumns / colWidth;
    const left = -scrollX;
    const right = left + W;
    const s = left * unit;
    const e = right * unit;
    const fill = 'rgba(66, 119, 127, 0.3)';
    return (React.createElement(React.Fragment, null,
        React.createElement("rect", { x: 0, y: 0, width: W, height: BAR_HEIGHT, stroke: "#555", fill: "none" }),
        React.createElement("rect", { x: Math.max(0, s), y: 0, width: e - s, height: BAR_HEIGHT, fill: fill, stroke: "#555" }),
        React.createElement("g", { transform: `translate(0 ${BAR_HEIGHT})` },
            React.createElement("polygon", { fill: fill, points: [
                    [e, 0],
                    [s, 0],
                    [0, H2],
                    [W, H2],
                ].toString() }))));
});
export default MinimapSVG;
//# sourceMappingURL=MinimapSVG.js.map