import React, { useEffect, useRef } from 'react';
import { observer } from 'mobx-react';
import { autorun } from 'mobx';
import { renderMouseover } from './renderMSAMouseover';
const MSAMouseoverCanvas = observer(function ({ model, }) {
    const ref = useRef(null);
    const { height, width } = model;
    useEffect(() => {
        const ctx = ref.current?.getContext('2d');
        return ctx
            ? autorun(() => {
                renderMouseover({ ctx, model });
            })
            : undefined;
    }, [model]);
    return (React.createElement("canvas", { ref: ref, id: "mouseover", width: width, height: height, style: {
            position: 'absolute',
            top: 0,
            left: 0,
            width,
            height,
            zIndex: 1000,
            pointerEvents: 'none',
        } }));
});
export default MSAMouseoverCanvas;
//# sourceMappingURL=MSAMouseoverCanvas.js.map