import React, { lazy } from 'react';
import { Menu, MenuItem } from '@mui/material';
import { observer } from 'mobx-react';
// lazies
const TreeNodeInfoDialog = lazy(() => import('./dialogs/TreeNodeInfoDialog'));
const TreeMenu = observer(function ({ node, onClose, model, }) {
    const { collapsed, collapsed2 } = model;
    return (React.createElement(Menu, { anchorReference: "anchorPosition", anchorPosition: {
            top: node.y,
            left: node.x,
        }, transitionDuration: 0, keepMounted: true, open: Boolean(node), onClose: onClose },
        React.createElement(MenuItem, { dense: true, disabled: true }, node.name),
        React.createElement(MenuItem, { dense: true, onClick: () => {
                model.queueDialog(onClose => [
                    TreeNodeInfoDialog,
                    {
                        info: model.getRowData(node.name),
                        model,
                        nodeName: node.name,
                        onClose,
                    },
                ]);
                onClose();
            } }, "More info..."),
        React.createElement(MenuItem, { dense: true, onClick: () => {
                if (collapsed.includes(node.id)) {
                    model.toggleCollapsed(node.id);
                }
                else {
                    if (node.id.endsWith('-leafnode')) {
                        model.toggleCollapsed2(`${node.id}`);
                    }
                    else {
                        model.toggleCollapsed2(`${node.id}-leafnode`);
                    }
                }
                onClose();
            } }, collapsed.includes(node.id) || collapsed2.includes(node.id)
            ? 'Show node'
            : 'Hide node')));
});
export default TreeMenu;
//# sourceMappingURL=TreeNodeMenu.js.map