import React from 'react';
import { Dialog } from '@jbrowse/core/ui';
import { DialogContent } from '@mui/material';
import { observer } from 'mobx-react';
import { Attributes, BaseCard, } from '@jbrowse/core/BaseFeatureWidget/BaseFeatureDetail';
import SequenceTextArea from '../../SequenceTextArea';
export default observer(function ({ info, model, nodeName, onClose, }) {
    const { treeMetadata, rows } = model;
    const metadata = treeMetadata[nodeName];
    const [name, sequence] = rows.find(f => f[0] === nodeName);
    return (React.createElement(Dialog, { onClose: () => onClose(), open: true, title: "Tree node info", maxWidth: "xl" },
        React.createElement(DialogContent, null,
            React.createElement(BaseCard, { title: "Attributes" },
                React.createElement(Attributes, { attributes: { nodeName, ...info } })),
            React.createElement(BaseCard, { title: "Sequence" },
                React.createElement(SequenceTextArea, { str: [[name, sequence]] })),
            metadata ? (React.createElement(BaseCard, { title: "Extra metadata" },
                React.createElement(Attributes, { attributes: metadata }))) : null)));
});
//# sourceMappingURL=TreeNodeInfoDialog.js.map