import RBush from 'rbush';
import { Theme } from '@mui/material';
import { MsaViewModel } from '../../model';
export declare const padding = 600;
interface ClickEntry {
    name: string;
    id: string;
    branch?: boolean;
    minX: number;
    maxX: number;
    minY: number;
    maxY: number;
}
export declare function renderTree({ offsetY, ctx, model, theme, blockSizeYOverride, }: {
    offsetY: number;
    ctx: CanvasRenderingContext2D;
    model: MsaViewModel;
    theme: Theme;
    blockSizeYOverride?: number;
}): void;
export declare function renderNodeBubbles({ ctx, clickMap, offsetY, model, blockSizeYOverride, }: {
    ctx: CanvasRenderingContext2D;
    clickMap?: RBush<ClickEntry>;
    offsetY: number;
    model: MsaViewModel;
    theme: Theme;
    blockSizeYOverride?: number;
}): void;
export declare function renderTreeLabels({ theme, model, offsetY, ctx, clickMap, blockSizeYOverride, }: {
    model: MsaViewModel;
    offsetY: number;
    ctx: CanvasRenderingContext2D;
    clickMap?: RBush<ClickEntry>;
    theme: Theme;
    blockSizeYOverride?: number;
}): void;
export declare function renderTreeCanvas({ model, clickMap, ctx, offsetY, theme, highResScaleFactorOverride, blockSizeYOverride, }: {
    model: MsaViewModel;
    offsetY: number;
    ctx: CanvasRenderingContext2D;
    clickMap?: RBush<ClickEntry>;
    theme: Theme;
    highResScaleFactorOverride?: number;
    blockSizeYOverride?: number;
}): void;
export {};
