export interface InterProScanResults {
    matches: {
        signature: {
            entry?: {
                name: string;
                description: string;
                accession: string;
            };
        };
        locations: {
            start: number;
            end: number;
        }[];
    }[];
    xref: {
        id: string;
    }[];
}
export interface InterProScanResponse {
    results: InterProScanResults[];
}
export declare function loadInterProScanResults(jobId: string): Promise<InterProScanResponse>;
export declare function launchInterProScan({ algorithm, seq, programs, onJobId, onProgress, }: {
    algorithm: string;
    seq: string;
    programs: string[];
    onProgress: (arg?: {
        msg: string;
        url?: string;
    }) => void;
    onJobId: (arg: string) => void;
}): Promise<InterProScanResponse>;
