import { types } from 'mobx-state-tree';
/**
 * #stateModel DialogQueueSessionMixin
 */
export function DialogQueueSessionMixin() {
    return types
        .model('DialogQueueSessionMixin', {})
        .volatile(() => ({
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        queueOfDialogs: [],
    }))
        .views(self => ({
        /**
         * #getter
         */
        get DialogComponent() {
            return self.queueOfDialogs[0]?.[0];
        },
        /**
         * #getter
         */
        get DialogProps() {
            return self.queueOfDialogs[0]?.[1];
        },
    }))
        .actions(self => ({
        /**
         * #action
         */
        removeActiveDialog() {
            self.queueOfDialogs = self.queueOfDialogs.slice(1);
        },
        /**
         * #action
         */
        queueDialog(cb) {
            const [component, props] = cb(() => {
                this.removeActiveDialog();
            });
            self.queueOfDialogs = [...self.queueOfDialogs, [component, props]];
        },
    }));
}
//# sourceMappingURL=DialogQueue.js.map