import { HierarchyNode } from 'd3-hierarchy';
import { Theme } from '@mui/material';
export declare function transform<T>(obj: Record<string, T>, cb: (arg0: [string, T]) => [string, T]): {
    [k: string]: T;
};
interface Node {
    branchset?: Node[];
    name?: string;
    [key: string]: unknown;
}
export interface NodeWithIds {
    id: string;
    name: string;
    branchset: NodeWithIds[];
    length?: number;
    noTree?: boolean;
}
export interface NodeWithIdsAndLength {
    id: string;
    name: string;
    branchset: NodeWithIdsAndLength[];
    noTree?: boolean;
    length: number;
}
export declare function generateNodeIds(tree: Node, parent?: string, depth?: number): NodeWithIds;
export declare function colorContrast(colorScheme: Record<string, string>, theme: Theme): {
    [k: string]: string;
};
export declare function skipBlanks(blanks: number[], arg: string | string[]): string;
export declare function setBrLength(d: HierarchyNode<NodeWithIds>, y0: number, k: number): void;
export declare function maxLength(d: HierarchyNode<NodeWithIds>): number;
export declare function collapse(d: HierarchyNode<NodeWithIds>): void;
export declare function clamp(min: number, num: number, max: number): number;
export declare function len(a: {
    end: number;
    start: number;
}): number;
export {};
